---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  HELP_MENU 
--  Description : Handle choices from Help menu 
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Win32;
with Win32.Windef;
with Win32.Winuser;
with Mcc.Common_Dialogs;
with System;
-- with GNAT.Os_Lib;
package body Help_Menu is
   operation : constant string := "open" & Character'First;
   value     : constant string := "pencil_and_paper_help.html" & 
      Character'first;
   function Shellexecute (
         Hwnd         : Win32.Windef.Hwnd;  
         Lpoperation  : system.address; 
         Lpfile       : system.address; 
         Lpparameters : Win32.Lpstr; 
         Lpdirectory  : Win32.Lpstr; 
         Nshowcmd     : integer   ) 
     return Win32.Long; 

   -- Opens or prints specified executable or document file
   pragma Import(Stdcall, Shellexecute,"ShellExecuteA");

   ------------------
   -- About_Choice --
   ------------------

   procedure About_Choice is
   begin
      Mcc.Common_Dialogs.Ok_Box("PENCIL AND PAPER INTERPRETER" & Ascii.Lf &
         "Version 1.2" & Ascii.Lf &
         Ascii.Lf &
         "By: Dr. Martin C. Carlisle" & Ascii.Lf &
         "      Maj Al White" & Ascii.Lf &
         Ascii.Lf &
         "US Air Force Academy" & Ascii.Lf &
         "Department of Computer Science     " & Ascii.Lf &
         "carlislem@acm.org" & Ascii.Lf &
         Ascii.Lf &
         "January 29, 2002");
   end About_Choice;

   ------------------------
   -- Help_Topics_Choice --
   ------------------------

   procedure Help_Topics_Choice is
      IgnoreLong: Win32.Long;
   begin
      IgnoreLong := ShellExecute(System.Null_Address,
         operation'address,
         value'address,
         null,null,Win32.WinUser.SW_SHOW);   
      -- for non-Windows machines, comment out the above and references
      -- to ShellExecute above and uncomment the below
      -- declare
      --    Pid : Gnat.OS_Lib.Process_Id;
      --    Help_File_Name : aliased String := "robot_interpreter_help.html";
      --    Args : Gnat.OS_Lib.Argument_List(1..1) :=
      --       (1 => help_file_name'unchecked_access);
      -- begin
      --    Pid := Gnat.Os_Lib.Non_Blocking_Spawn(
      --       Program_Name => "netscape",
      --       Args         => Args);
      -- end;
   end Help_Topics_Choice;

end Help_Menu;

