---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Al White     
--                                                           
--  STATE 
--  Description : State of program 
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Container.Window;
with Get_PC_Window;
with Get_Instruction_Window;
with Read_Dialog_Window;
package body State is


   Dialog_Displayed_Flag : Boolean := False;
   -----------------------
   -- Clear_Dialog_Flag --
   -----------------------

   procedure Clear_Dialog_Flag is
   begin
      Dialog_Displayed_Flag := False;
   end Clear_Dialog_Flag;

   procedure Set_Dialog_Displayed is
   begin
      Dialog_Displayed_Flag := True;
   end Set_Dialog_Displayed;
   
   function Dialog_Displayed return Boolean is
   begin
      if Dialog_Displayed_Flag then 
         return True;
      end if;
      
      return Mcc.Gui.Container.Window.Is_Open(Get_PC_Window.Get_PC_Window) or
         Mcc.Gui.Container.Window.Is_Open(
            Get_Instruction_Window.Get_Instruction_Window) or
         Mcc.Gui.Container.Window.Is_Open(
            Read_Dialog_Window.Read_Dialog_Window);
   end Dialog_Displayed;

end State;

